commit b59b9cb483462624b9301e52272760b506458a17
Author: Ian Lance Taylor <iant@golang.org>
Date:   Mon Sep 21 12:45:43 2020 -0700

    libgo: don't put golang.org packages in zstdpkglist.go
    
    This ensures that internal/goroot.IsStandardPackage does not treat
    golang.org packages as being in the standard library.
    
    For golang/go#41368
    Fixes golang/go#41499
    
    Reviewed-on: https://go-review.googlesource.com/c/gofrontend/+/256319

diff --git a/libgo/Makefile.am b/libgo/Makefile.am
index dea09de592b..41b6da4cb0b 100644
--- a/libgo/Makefile.am
+++ b/libgo/Makefile.am
@@ -614,7 +614,7 @@ s-zstdpkglist: Makefile
 	echo 'package goroot' > zstdpkglist.go.tmp
 	echo "" >> zstdpkglist.go.tmp
 	echo 'var stdpkg = map[string]bool{' >> zstdpkglist.go.tmp
-	echo $(libgo_go_objs) 'unsafe.lo' 'runtime/cgo.lo' | sed 's|[a-z0-9_./]*_c\.lo||g' | sed 's|\([a-z0-9_./]*\)\.lo|"\1": true,|g' >> zstdpkglist.go.tmp
+	echo $(libgo_go_objs) 'unsafe.lo' 'runtime/cgo.lo' | sed 's|[a-z0-9_./]*_c\.lo||g' | sed 's|golang\.org/[a-z0-9_./]*\.lo||g' | sed 's|\([a-z0-9_./]*\)\.lo|"\1": true,|g' >> zstdpkglist.go.tmp
 	echo '}' >> zstdpkglist.go.tmp
 	$(SHELL) $(srcdir)/mvifdiff.sh zstdpkglist.go.tmp zstdpkglist.go
 	$(STAMP) $@
